package config

//Handler is handler
type Handler struct {
	serverFolder  string
	eula          []ServerConfig
	properties    []ServerConfig
	bannedIPs     BannedIP
	bannedPlayers BannedPlayer
	ops           Op
	whitelists    Whitelist
}

//NewHandler means everythign starts here :)
func NewHandler(folder string) *Handler {
	NewlyCreatedHandler := Handler{
		serverFolder:  folder,
		eula:          initEULA(folder),
		properties:    initProperties(folder),
		bannedIPs:     initBannedIP(folder),
		bannedPlayers: initBannedPlayer(folder),
		ops:           initOps(folder),
		whitelists:    initWhitelist(folder),
	}

	return &NewlyCreatedHandler
}
